Bug 1068858 - hakyll Preview server is disabled
Summary: hakyll Preview server is disabled
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: ghc-hakyll
Version: 20
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jens Petersen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1069451
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-02-22 13:49 UTC by Ferry Huberts
Modified: 2014-06-10 02:59 UTC (History)
2 users (show)

Fixed In Version: ghc-xss-sanitize-0.3.5.2-1.fc20
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-06-10 02:59:49 UTC


Attachments (Terms of Use)

Description Ferry Huberts 2014-02-22 13:49:00 UTC
Description of problem:
The preview server is disabled.
IMHO there is no need for that and the feature is very useful, we use it to be able to quickly preview a generated site before uploading it.

Version-Release number of selected component (if applicable):
ghc-hakyll.x86_64         4.4.3.1-1.fc20
ghc-hakyll-devel.x86_64   4.4.3.1-1.fc20

How reproducible:
always

Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 1 Ferry Huberts 2014-02-22 13:49:55 UTC
CLI output:

PREVIEW SERVER

The preview server is not enabled in the version of Hakyll. To
enable it, set the flag to True and recompile Hakyll.
Alternatively, use an external tool to serve your site directory.

Comment 2 Jens Petersen 2014-02-25 03:45:16 UTC
Right I want to add it but it requires the Haskell fsnotify library.

I opened a review request to add ghc-hsnotify to Fedora in bug 1069451.

Comment 3 Ferry Huberts 2014-02-25 08:28:53 UTC
thanks!

Once it's in, might it be possible to backport it into F20? F21 is still a long way out.

Comment 4 Jens Petersen 2014-02-26 00:47:12 UTC
Yes, I think so.

Comment 5 Jens Petersen 2014-05-09 10:52:29 UTC
Now built for F21 rawhide.  I hope to backport to f20 before long.

Comment 6 Fedora Update System 2014-05-30 03:26:24 UTC
pandoc-1.12.3.3-2.fc20, ghc-conduit-1.0.13.1-1.fc20, ghc-wai-1.4.1-1.fc20, ghc-hakyll-4.5.1.0-2.fc20, ghc-warp-1.3.8.4-1.fc20, ghc-scotty-0.5.0-4.fc20, ghc-citeproc-hs-0.3.9-2.fc20, ghc-tagsoup-0.13.1-1.fc20, ghc-texmath-0.6.6.1-1.fc20, ghc-pandoc-types-1.12.3.3-1.fc20, ghc-yaml-0.8.8.2-1.fc20, ghc-wai-extra-1.3.4.6-1.fc20, ghc-monad-logger-0.3.1.1-3.fc20, ghc-zlib-conduit-1.0.0-4.fc20, ghc-wai-logger-0.3.2-1.fc20, ghc-network-conduit-1.0.4-1.fc20, ghc-blaze-builder-conduit-1.0.0-4.fc20, ghc-attoparsec-conduit-1.0.1.2-1.fc20, ghc-resourcet-0.4.10.2-1.fc20, ghc-lifted-base-0.2.2.1-1.fc20, ghc-vault-0.3.0.3-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/FEDORA-2014-6874/pandoc-1.12.3.3-2.fc20,ghc-conduit-1.0.13.1-1.fc20,ghc-wai-1.4.1-1.fc20,ghc-hakyll-4.5.1.0-2.fc20,ghc-warp-1.3.8.4-1.fc20,ghc-scotty-0.5.0-4.fc20,ghc-citeproc-hs-0.3.9-2.fc20,ghc-tagsoup-0.13.1-1.fc20,ghc-texmath-0.6.6.1-1.fc20,ghc-pandoc-types-1.12.3.3-1.fc20,ghc-yaml-0.8.8.2-1.fc20,ghc-wai-extra-1.3.4.6-1.fc20,ghc-monad-logger-0.3.1.1-3.fc20,ghc-zlib-conduit-1.0.0-4.fc20,ghc-wai-logger-0.3.2-1.fc20,ghc-network-conduit-1.0.4-1.fc20,ghc-blaze-builder-conduit-1.0.0-4.fc20,ghc-attoparsec-conduit-1.0.1.2-1.fc20,ghc-resourcet-0.4.10.2-1.fc20,ghc-lifted-base-0.2.2.1-1.fc20,ghc-vault-0.3.0.3-1.fc20

Comment 7 Fedora Update System 2014-05-30 23:53:57 UTC
Package ghc-xss-sanitize-0.3.5.2-1.fc20, ghc-lambdabot-utils-4.2.2-4.fc20, pandoc-1.12.3.3-2.fc20, ghc-conduit-1.0.13.1-1.fc20, ghc-wai-1.4.1-1.fc20, ghc-hakyll-4.5.1.0-2.fc20, ghc-warp-1.3.8.4-1.fc20, ghc-scotty-0.5.0-4.fc20, ghc-citeproc-hs-0.3.9-2.fc20, ghc-tagsoup-0.13.1-1.fc20, ghc-texmath-0.6.6.1-1.fc20, ghc-pandoc-types-1.12.3.3-1.fc20, ghc-yaml-0.8.8.2-1.fc20, ghc-wai-extra-1.3.4.6-1.fc20, ghc-monad-logger-0.3.1.1-3.fc20, ghc-zlib-conduit-1.0.0-4.fc20, ghc-wai-logger-0.3.2-1.fc20, ghc-network-conduit-1.0.4-1.fc20, ghc-blaze-builder-conduit-1.0.0-4.fc20, ghc-attoparsec-conduit-1.0.1.2-1.fc20, ghc-resourcet-0.4.10.2-1.fc20, ghc-lifted-base-0.2.2.1-1.fc20, ghc-vault-0.3.0.3-1.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing ghc-xss-sanitize-0.3.5.2-1.fc20 ghc-lambdabot-utils-4.2.2-4.fc20 pandoc-1.12.3.3-2.fc20 ghc-conduit-1.0.13.1-1.fc20 ghc-wai-1.4.1-1.fc20 ghc-hakyll-4.5.1.0-2.fc20 ghc-warp-1.3.8.4-1.fc20 ghc-scotty-0.5.0-4.fc20 ghc-citeproc-hs-0.3.9-2.fc20 ghc-tagsoup-0.13.1-1.fc20 ghc-texmath-0.6.6.1-1.fc20 ghc-pandoc-types-1.12.3.3-1.fc20 ghc-yaml-0.8.8.2-1.fc20 ghc-wai-extra-1.3.4.6-1.fc20 ghc-monad-logger-0.3.1.1-3.fc20 ghc-zlib-conduit-1.0.0-4.fc20 ghc-wai-logger-0.3.2-1.fc20 ghc-network-conduit-1.0.4-1.fc20 ghc-blaze-builder-conduit-1.0.0-4.fc20 ghc-attoparsec-conduit-1.0.1.2-1.fc20 ghc-resourcet-0.4.10.2-1.fc20 ghc-lifted-base-0.2.2.1-1.fc20 ghc-vault-0.3.0.3-1.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-6874/pandoc-1.12.3.3-2.fc20,ghc-conduit-1.0.13.1-1.fc20,ghc-wai-1.4.1-1.fc20,ghc-hakyll-4.5.1.0-2.fc20,ghc-warp-1.3.8.4-1.fc20,ghc-scotty-0.5.0-4.fc20,ghc-citeproc-hs-0.3.9-2.fc20,ghc-tagsoup-0.13.1-1.fc20,ghc-texmath-0.6.6.1-1.fc20,ghc-pandoc-types-1.12.3.3-1.fc20,ghc-yaml-0.8.8.2-1.fc20,ghc-wai-extra-1.3.4.6-1.fc20,ghc-monad-logger-0.3.1.1-3.fc20,ghc-zlib-conduit-1.0.0-4.fc20,ghc-wai-logger-0.3.2-1.fc20,ghc-network-conduit-1.0.4-1.fc20,ghc-blaze-builder-conduit-1.0.0-4.fc20,ghc-attoparsec-conduit-1.0.1.2-1.fc20,ghc-resourcet-0.4.10.2-1.fc20,ghc-lifted-base-0.2.2.1-1.fc20,ghc-vault-0.3.0.3-1.fc20,ghc-xss-sanitize-0.3.5.2-1.fc20,ghc-lambdabot-utils-4.2.2-4.fc20
then log in and leave karma (feedback).

Comment 8 Ferry Huberts 2014-06-02 12:01:16 UTC
works for me.

thanks for fixing!

Comment 9 Fedora Update System 2014-06-10 02:59:49 UTC
ghc-xss-sanitize-0.3.5.2-1.fc20, ghc-lambdabot-utils-4.2.2-4.fc20, pandoc-1.12.3.3-2.fc20, ghc-conduit-1.0.13.1-1.fc20, ghc-wai-1.4.1-1.fc20, ghc-hakyll-4.5.1.0-2.fc20, ghc-warp-1.3.8.4-1.fc20, ghc-scotty-0.5.0-4.fc20, ghc-citeproc-hs-0.3.9-2.fc20, ghc-tagsoup-0.13.1-1.fc20, ghc-texmath-0.6.6.1-1.fc20, ghc-pandoc-types-1.12.3.3-1.fc20, ghc-yaml-0.8.8.2-1.fc20, ghc-wai-extra-1.3.4.6-1.fc20, ghc-monad-logger-0.3.1.1-3.fc20, ghc-zlib-conduit-1.0.0-4.fc20, ghc-wai-logger-0.3.2-1.fc20, ghc-network-conduit-1.0.4-1.fc20, ghc-blaze-builder-conduit-1.0.0-4.fc20, ghc-attoparsec-conduit-1.0.1.2-1.fc20, ghc-resourcet-0.4.10.2-1.fc20, ghc-lifted-base-0.2.2.1-1.fc20, ghc-vault-0.3.0.3-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.